Interface StripeEndpointBuilderFactory.StripeBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
StripeEndpointBuilderFactory
public static interface StripeEndpointBuilderFactory.StripeBuilders
-
Method Summary
Modifier and TypeMethodDescriptionstripe()Stripe (camel-stripe) Interact with the Stripe payment platform.Stripe (camel-stripe) Interact with the Stripe payment platform.Stripe (camel-stripe) Interact with the Stripe payment platform.
-
Method Details
-
stripe
Stripe (camel-stripe) Interact with the Stripe payment platform. Category: saas,finance Since: 4.17 Maven coordinates: org.apache.camel:camel-stripe- Returns:
- the dsl builder for the headers' name.
-
stripe
Stripe (camel-stripe) Interact with the Stripe payment platform. Category: saas,finance Since: 4.17 Maven coordinates: org.apache.camel:camel-stripe Syntax:stripe:operationPath parameter: operation (required) The Stripe operation to perform There are 10 enums and the value can be one of: charges, customers, paymentIntents, paymentMethods, refunds, subscriptions, invoices, products, prices, balanceTransactions- Parameters:
path- operation- Returns:
- the dsl builder
-
stripe
default StripeEndpointBuilderFactory.StripeEndpointBuilder stripe(String componentName, String path) Stripe (camel-stripe) Interact with the Stripe payment platform. Category: saas,finance Since: 4.17 Maven coordinates: org.apache.camel:camel-stripe Syntax:stripe:operationPath parameter: operation (required) The Stripe operation to perform There are 10 enums and the value can be one of: charges, customers, paymentIntents, paymentMethods, refunds, subscriptions, invoices, products, prices, balanceTransactions- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- operation- Returns:
- the dsl builder
-